# Get details for all your accounts

Retrieve account details for all your accounts.

Endpoint: GET /accounts
Version: 2025-01-01
Security: BasicAuth

## Query parameters:

  - `entity` (string, required)
    Unique ID given during the on-boarding process.

  - `currency` (string)
    The ISO 4217 currency codes of the account.

  - `partyReference` (string)
    Your reference for this party, must be unique within an entity. Allowed values string 3 to 64 characters a-z, A-Z, 0-9, spaces and hyphens.

  - `status` (string)
    Get accounts on the bases of account status.
    Example: "Active/Inactive"

  - `pageNumber` (integer)
    Positive whole number indicating which page of the account to return.

  - `pageSize` (integer)
    Positive whole number indicating the number of account to return in each page.

## Header parameters:

  - `WP-Api-Version` (string, required)
    Represents the version of the API.
    Example: "2025-01-01"

  - `WP-CorrelationId` (string)
    Optional ID to trace requests, if not provided, it is generated.
    Example: "15cd16b2-7b82-41cb-9b11-21be9dacad88"

  - `Accept` (string)
    Example: "application/json"

## Response 200 fields (application/json):

  - `entity` (string,null)

  - `accounts` (array,null)

  - `accounts.accountNumber` (string,null)
    The account number.

  - `accounts.accountName` (string,null)
    Name of the account given to you as part of on-boarding.

  - `accounts.currency` (string,null)
    The [ISO 4217 currency codes](/products/reference/supported-countries-currencies#iso-currency-codes) of the account.

  - `accounts.clearedBalance` (number)
    The cleared balance.

  - `accounts.unclearedBalance` (number)
    The uncleared balance.

  - `accounts.balance` (number)
    The total balance.

  - `accounts.accountStatus` (string,null)
    The status of the account.

  - `pagination` (object)

  - `pagination.pageNumber` (integer)

  - `pagination.recordsPerPage` (integer)

  - `pagination.totalPages` (integer)

  - `pagination.totalNumberOfRecords` (integer)

## Response 400 fields (application/json):

  - `errorName` (string,null)
    Unique response code

  - `message` (string,null)
    Error message

  - `headerName` (string,null)
    Header Name

  - `validationErrors` (array,null)
    Collection of error details

  - `validationErrors.errorName` (string,null)

  - `validationErrors.message` (string,null)

  - `validationErrors.queryParameter` (string,null)

## Response 401 fields (application/json):

  - `errorName` (string,null)
    Unique response code

  - `message` (string,null)
    Error message

  - `headerName` (string,null)
    Header Name

## Response 403 fields (application/json):

  - `errorName` (string,null)
    Unique response code

  - `message` (string,null)
    Error message

  - `headerName` (string,null)
    Header Name

## Response 500 fields (application/json):

  - `errorName` (string,null)
    Unique response code

  - `message` (string,null)
    Error message

  - `headerName` (string,null)
    Header Name


